package com.yeejoin.amos.boot.module.cylinder.flc.api.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.cylinder.api.entity.ESCylinderFillingRecordDto;

import java.util.List;

/**
 * 液化气体气瓶充装信息-充装记录接口类
 *
 * @author system_generator
 * @date 2022-03-04
 */
public interface ICylinderFillingRecordService {

    ESCylinderFillingRecordDto saveCylinderFillingRecordToES(ESCylinderFillingRecordDto ci);

    List<ESCylinderFillingRecordDto> getCylinderFillingRecordAll();
    List<ESCylinderFillingRecordDto> getCylinderFillingRecordTest();

    Page<ESCylinderFillingRecordDto> queryByKeys(ESCylinderFillingRecordDto esCylinderFillingRecordDto, int pageNum, int pageSize);

    void saveCylinderFillingRecord2ES(List<ESCylinderFillingRecordDto> records);

    Integer getCylinderFillingRecordTotal();
}
